<?php

namespace Drp\UserManagement;

use Drp\UserManagement\Contracts\TokenGenerator;

/**
 * Class RandomTokenGenerator
 * @package App\Springboard\Users
 */
class RandomTokenGenerator implements TokenGenerator
{
    /**
     * Generates a random token.
     *
     * @param  integer $length The length of the token
     * @return string
     */
    public static function create($length = 32)
    {
        return str_random($length);
    }
}
